Loading...
Searching...
No Matches
pqxx::prepped Class Reference

A string that is the name of a prepared statement. More...

Inheritance diagram for pqxx::prepped:
[legend]
Collaboration diagram for pqxx::prepped:
[legend]

## Public Member Functions

| prepped (zview name)
Public Member Functions inherited from pqxx::zview
constexpr | zview (char const text[], std::ptrdiff_t len) noexcept(noexcept(std::string_view{text, static_cast< std::size_t >(len)}))
| Convenience overload: construct using pointer and signed length.
constexpr | zview (char text[], std::ptrdiff_t len) noexcept(noexcept(std::string_view{text, static_cast< std::size_t >(len)}))
| Convenience overload: construct using pointer and signed length.
constexpr | zview (std::string_view other) noexcept
| Explicitly promote a string_view to a zview.
template<typename... Args>
constexpr | zview (Args &&...args)
| Construct from any initialiser you might use for std::string_view.
| zview (std::string const &str) noexcept
constexpr | zview (char const str[]) noexcept(noexcept(std::string_view{str}))
| Construct a zview from a C-style string.
template<size_t size>
constexpr | zview (char const (&literal)[size])
| Construct a zview from a string literal.
constexpr char const * | c_str () const &noexcept
| Either a null pointer, or a zero-terminated text buffer.

## Detailed Description

A string that is the name of a prepared statement.

When calling on libpqxx to execute a prepared statement, wrap its name in a prepped object to indicate to libpqxx that it is a statement name, not SQL.

The string must be like a C-style string: it should contain no bytes with value zero, but it must have a single byte with value zero directly behind it in memory.

The documentation for this class was generated from the following file:

- /build/libpqxx-hcWu4i/libpqxx-7.10.0/include/pqxx/prepared_statement.hxx